## openstructure 2.5.0

=== CMakeLists.txt ===
#-------------------------------------------------------------------------------
# Author: Marco Biasini
#-------------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.12.1 FATAL_ERROR)

# Set CMake policies
# Behaviour of target_link_libraries, always link by full path. CMP0060 can
# disable this to stay compatible with old projects. We want the new behaviour
# since before we needed to provide the full path ourselves, that is: we
# manually forced CMake to the new scheme.
cmake_policy(SET CMP0060 NEW)

project(OpenStructure CXX C)
set (CMAKE_EXPORT_COMPILE_COMMANDS 1)
set (OST_VERSION_MAJOR 2)
set (OST_VERSION_MINOR 5)
set (OST_VERSION_PATCH 0)
set (OST_VERSION_STRING ${OST_VERSION_MAJOR}.${OST_VERSION_MINOR}.${OST_VERSION_PATCH} )
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/cmake_support)
include(OST)

option(USE_SHADER "whether to compile with shader support"
       OFF)
option(USE_RPATH "embed rpath upon make install"
       OFF)
option(COMPILE_TMTOOLS "whether to compile the tmalign and tmscore programs"
       OFF)
option(PROFILE "whether to compile with profiling support"
       OFF)       
option(ENABLE_GUI "whether the graphical user interface should be enabled"
       ON)
option(ENABLE_GFX "whether graphics support should be enabled"
       ON)
option(OPENGLPREFERENCE_LEGACY "whether to use the OpenGL Legacy GL implementation"
       OFF)
option(ENABLE_INFO "whether openstructure should be compiled with support for the info library"
       ON)
option(USE_NUMPY "whether numpy support is added"
      OFF)
option(USE_DOUBLE_PRECISION "whether to compile in double precision" 
       OFF)
option(ENABLE_SPNAV "whether 3DConnexion devices should be supported"
      OFF)
option(STATIC_PROPERTY_WORKAROUND "workaround for static property bug with some boost/boost_python combinations" OFF)
option(COMPILE_TESTS "whether unit tests should be compiled by default" OFF)
option(ENABLE_STATIC "whether static libraries should be compiled" OFF)
option(UBUNTU_LAYOUT "whether Debian/Ubuntu's lib and libexec directory layout should be used" OFF)
option(HIDDEN_VISIBILITY "on gcc, use -fvisibility=hidden" OFF)
option(ENABLE_MM "whether openmm support is added" OFF)

if (CXX)
  set(CMAKE_CXX_COMPILER ${CXX})
endif()

if (CC)
  set(CMAKE_C_COMPILER ${CC})
endif()

if (FORTRAN_COMPILER)
  set(CMAKE_FORTRAN_COMPILER ${FORTRAN_COMPILER})
endif()



if (PREFIX)
  set(CMAKE_INSTALL_PREFIX ${PREFIX})
endif()

if (SYS_ROOT)
  set(CMAKE_PREFIX_PATH ${SYS_ROOT})
endif()

if (OPTIMIZE)
  set(CMAKE_BUILD_TYPE Release)
  set(_OPT ON)
else()
   set(CMAKE_BUILD_TYPE Debug)
    set(_OPT OFF)
endif()

if (USE_DOUBLE_PRECISION)
  set(_DOUBLE_PREC ON)
else()
  set(_DOUBLE_PREC OFF)
  set(_DOUBLE_PREC OFF)
endif()

if (NOT ENABLE_INFO)
  set(ENABLE_GFX OFF)
endif()

if (NOT ENABLE_GFX)
  set(ENABLE_GUI OFF)
endif()

if (ENABLE_INFO)
  set(_INFO ON)
else()
  set(_INFO OFF)
endif()

if (ENABLE_GUI)
  set(_UI ON)
else()
  set(_UI OFF)
endif()

if (ENABLE_GFX)
  set(_OPENGL ON)
else()
  set(_OPENGL OFF)
endif()

if (USE_SHADER)
  set(_SHADER ON)
else()
  set(_SHADER OFF)
endif()
if (USE_NUMPY)
  set(_NUMPY ON)
else()
  set(_NUMPY OFF)
endif()
if (COMPILE_TMTOOLS)
  set(_TM_TOOLS ON)
else()
  set(_TM_TOOLS OFF)
endif()
if (PROFILE)
  set(_PROFILE ON)
else()
  set(_PROFILE OFF)
endif()
if(ENABLE_MM)
  set(_OPENMM ON)
else()
  set(_OPENMM OFF)
endif()


if (UBUNTU_LAYOUT)
  set(_UBUNTU_LAYOUT ON)
else()
  set(_UBUNTU_LAYOUT OFF)
endif()

if (COMPOUND_LIB)
  set(_COMP_LIB "${COMPOUND_LIB}")
  if (NOT IS_ABSOLUTE "${COMPOUND_LIB}")
    set(COMPOUND_LIB "${CMAKE_CURRENT_BINARY_DIR}/${COMPOUND_LIB}")
  endif()
else()
  set(_COMP_LIB "NONE")
endif()

if (STATIC_PROPERTY_WORKAROUND)
  set(_STATICPROPS ON)
else()
  set(_STATICPROPS OFF)
endif()

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Debug)
endif()

setup_stage()
file(MAKE_DIRECTORY ${STAGE_DIR}
     ${EXECUTABLE_OUTPUT_PATH}
     ${HEADER_STAGE_PATH}
     ${LIB_STAGE_PATH}
     ${LIBEXEC_STAGE_PATH})

setup_compiler_flags()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY)

if (ENABLE_STATIC AND UNIX AND NOT APPLE)
  set (CMAKE_FIND_LIBRARY_SUFFIXES .a)
endif()

# Python needed before Boost
find_package(Python 3.6 REQUIRED COMPONENTS Interpreter Development)
# where Python modules live
set(PYTHON_MODULE_PATH "python${Python_VERSION_MAJOR}.${Python_VERSION_MINOR}/site-packages/")

if(BOOST_VERSION)
  message(STATUS "forcing boost to version ${BOOST_VERSION}")
  set(_BOOST_MIN_VERSION ${BOOST_VERSION})
endif()
setup_boost()
if (WIN32)
   ADD_DEFINITIONS("-DBOOST_ALL_NO_LIB")
endif()

if (ENABLE_INFO)        
  find_package(Qt5Xml REQUIRED)
  set(QT_LIBRARIES ${QT_LIBRARIES} Qt5::Xml)
endif()

if (OPTIMIZE)
  if (CXX_FLAGS)
    set (CMAKE_CXX_FLAGS_RELEASE ${CXX_FLAGS})
  endif()
  if (C_FLAGS)
    set (CMAKE_C_FLAGS_RELEASE ${C_FLAGS})
  endif()
else()
  if (CXX_FLAGS)
    set(CMAKE_CXX_FLAGS_DEBUG ${CXX_FLAGS})
  endif()
  if (C_FLAGS)
    set(CMAKE_C_FLAGS_DEBUG ${C_FLAGS})
  endif()
endif()
if (ENABLE_GFX)
  if (OPENGLPREFERENCE_LEGACY)
    set(OpenGL_GL_PREFERENCE LEGACY)
  else()
    set(OpenGL_GL_PREFERENCE GLVND)
  endif(OPENGLPREFERENCE_LEGACY)
  find_package(OpenGL REQUIRED)
endif()

find_package(EIGEN 3.2.0 REQUIRED)
find_package(SQLITE3 3.7.13 REQUIRED)
find_package(PNG REQUIRED)
find_package(FFTW REQUIRED)
find_package(TIFF REQUIRED)

if(USE_NUMPY)
  find_package(Numpy REQUIRED)
endif()

if(ENABLE_MM)
  find_package(OpenMM REQUIRED)
  set(_OPENMM_PLUGINS "${OPEN_MM_PLUGIN_DIR}")
else(ENABLE_MM)
  set(_OPENMM_PLUGINS "NONE")
endif(ENABLE_MM)

if (ENABLE_STATIC)
  set(Boost_LIBRARIES)
  set(Boost_USE_STATIC_LIBS ON)
  find_package(Boost ${_BOOST_MIN_VERSION} 
               COMPONENTS filesystem system iostreams regex thread REQUIRED)
  find_package(ZLIB REQUIRED)
   
  if (UNIX AND NOT APPLE)
    set(STATIC_LIBRARIES ${Boost_LIBRARIES} ${FFTW_LIBRARIES} ${TIFF_LIBRARIES} 
        ${PNG_LIBRARY} ${ZLIB_LIBRARY})
  else ()
    set(STATIC_LIBRARIES ${Boost_LIBRARIES} ${FFTW_LIBRARIES} ${TIFF_LIBRARIES} 
        ${PNG_LIBRARY} ${ZLIB_LIBRARY})
  endif()
endif()

if (ENABLE_GUI)
  find_package(Qt5Widgets REQUIRED)
  find_package(Qt5OpenGL REQUIRED)
  set(QT_LIBRARIES ${QT_LIBRARIES} Qt5::Gui Qt5::Widgets Qt5::Core)
  ost_find_python_module(PyQt5)
  ost_find_python_module_alt("PyQt5.sip;sip")
endif()

if (ENABLE_SPNAV)
  #find_package(SpNav REQUIRED)
  set(_SPNAV ON)
else()
  set(_SPNAV OFF)
endif()

if (CMAKE_COMPILER_IS_GNUCXX)
  # do not write back into cache, otherwise the compile command line gets expanded
  # with multiple -fno-strict-aliasing flags, triggering a complete rebuild whenever
  # cmake is run
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fno-strict-aliasing")
  if("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-attributes")
  endif("${CMAKE_CXX_COMPILER_VERSION}" VERSION_GREATER "4.6")
  if(HIDDEN_VISIBILITY) 
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
    set (_HIDDEN_VIS ON)
  else(HIDDEN_VISIBILITY)
    set (_HIDDEN_VIS OFF)
  endif(HIDDEN_VISIBILITY)
endif()

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option")
endif(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-unknown-warning-option")
endif(CMAKE_C_COMPILER_ID MATCHES "Clang")

# basic environment
include_directories(${Boost_INCLUDE_DIRS} 
                    ${FFTW_INCLUDE_DIRS} 
                    ${EIGEN3_INCLUDE_DIRS}
                    ${TIFF_INCLUDE_DIR}
                    ${PNG_INCLUDE_DIRS}
                    ${OPEN_MM_INCLUDE_DIRS}
                    ${SQLITE3_INCLUDE_DIRS}
                    )
if(USE_NUMPY)
include_directories(${PYTHON_NUMPY_INCLUDE_DIR})
endif()

if (UNIX)
  SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
  SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
  if(USE_RPATH)
    set(_USE_RPATH ON)
    SET(CMAKE_INSTALL_RPATH "$ORIGIN/../${LIB_DIR}")
    SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
  else()
    set(_USE_RPATH OFF)
   SET(CMAKE_INSTALL_RPATH "")
   SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
  endif() 
endif()

if (ENABLE_STATIC)
  SET(CMAKE_SKIP_BUILD_RPATH TRUE)
  SET(LINK_SEARCH_END_STATIC TRUE) 
endif()

add_subdirectory(modules)
add_subdirectory(scripts)
add_subdirectory(tools)
add_subdirectory(actions)
# deployment has to come last, to ensure that all install commands are run before deployment
# magic is done
add_subdirectory(deployment)

set(FILES_TO_BE_REMOVED ${PROJECT_BINARY_DIR}/stage tests)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES
                             "${FILES_TO_BE_REMOVED}")


#ost_match_boost_python_version(${Python_LIBRARIES})

if (CMAKE_COMPILER_IS_GNUCXX)
   set(HIDDEN_VIS_MSG 
       "\n   Hidden object visibility  (-DHIDDEN_VISIBILITY) : ${_HIDDEN_VIS}")
endif()
message(STATUS 
        "OpenStructure will be built with the following options:\n"
        "   Install Prefix                        (-DPREFIX) : ${CMAKE_INSTALL_PREFIX}\n"
        "   RPath in install                   (-DUSE_RPATH) : ${_USE_RPATH}\n"
        "   Info support                     (-DENABLE_INFO) : ${_INFO}\n"
        "   Graphical interface               (-DENABLE_GUI) : ${_UI}\n"
        "   OpenGL support                    (-DENABLE_GFX) : ${_OPENGL}\n"
        "   Shader support                    (-DUSE_SHADER) : ${_SHADER}\n"
        "   Numpy support                      (-DUSE_NUMPY) : ${_NUMPY}\n"
        "   SpaceNav Device support         (-DENABLE_SPNAV) : ${_SPNAV}\n"
        "   OpenMM support                     (-DENABLE_MM) : ${_OPENMM}\n"
        "   OpenMM plugins            (-DOPEN_MM_PLUGIN_DIR) : ${_OPENMM_PLUGINS}\n"
        "   Optimize                            (-DOPTIMIZE) : ${_OPT}\n"
        "   Profiling support                    (-DPROFILE) : ${_PROFILE}\n"
        "   Double Precision        (-DUSE_DOUBLE_PRECISION) : ${_DOUBLE_PREC}\n"
        "   Compound Lib                    (-DCOMPOUND_LIB) : ${_COMP_LIB}\n"
        "   TMAlign and TMScore          (-DCOMPILE_TMTOOLS) : ${_TM_TOOLS}\n"
        "   Static Libraries               (-DENABLE_STATIC) : ${ENABLE_STATIC}\n"
        "   Debian/Ubuntu directory layout (-DUBUNTU_LAYOUT) : ${_UBUNTU_LAYOUT}"
        ${HIDDEN_VIS_MSG})


# LocalWords:  CMake CMP

=== deployment/CMakeLists.txt ===
#-------------------------------------------------------------------------------
#  Author:  Andreas Schenk
#
#  This file contains the CPack configuration common to all platforms.
#
#-------------------------------------------------------------------------------

#only include deployment configureation for the main project and not for subprojects
if(${PROJECT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

  INCLUDE(InstallRequiredSystemLibraries)
  
  set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "OpenStructure Framework")
  set(CPACK_PACKAGE_VENDOR "2008-2020 -- The OpenStructure Team")
  set(CPACK_PACKAGE_DESCRIPTION_FILE "${PROJECT_SOURCE_DIR}/ReadMe.txt")
  set(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/LICENSE.txt")
  set(CPACK_PACKAGE_VERSION_MAJOR ${OST_VERSION_MAJOR})
  set(CPACK_PACKAGE_VERSION_MINOR ${OST_VERSION_MINOR})
  set(CPACK_PACKAGE_VERSION_PATCH ${OST_VERSION_PATCH})
  
  # using include instead of add_subdirectory avoid creating a child scope
  if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    include(macos/CMakeLists.txt) 
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    include(linux/CMakeLists.txt) 
  elseif(${CMAKE_SYSTEM_NAME} MATCHES "Windows")
    include(win/CMakeLists.txt) 
  endif()

  INCLUDE(CPack) 

endif(${PROJECT_SOURCE_DIR} STREQUAL ${CMAKE_SOURCE_DIR})

=== tools/molck/CMakeLists.txt ===
if (NOT WIN32)
executable(NAME molck SOURCES main.cc
           DEPENDS_ON ost_io ost_mol_alg STATIC)
endif(NOT WIN32)

=== modules/base/src/CMakeLists.txt ===
set(OST_BASE_SOURCES 
generic_property.cc
log.cc
log_sink.cc
profile.cc
units.cc
string_ref.cc
platform.cc
message.cc
test_utils/compare_files.cc
boost_filesystem_helper.cc
)

set(OST_BASE_HEADERS
generic_property.hh
integrity_error.hh
invalid_handle.hh
ptr_observer.hh
log.hh
log_sink.hh
profile.hh
dyn_cast.hh
stdint.hh
stdint_msc.hh
range.hh
module_config.hh
units.hh
message.hh
platform.hh
string_ref.hh
pod_vector.hh
fixed_string.hh
tri_matrix.hh
boost_filesystem_helper.hh
paged_array.hh
)

set(OST_EXPORT_HELPERS
generic_property_def.hh 
pair_to_tuple_conv.hh 
vec_to_list_conv.hh
)
module(NAME base SOURCES ${OST_BASE_SOURCES} 
       HEADERS ${OST_EXPORT_HELPERS} IN_DIR export_helper 
       compare_files.hh IN_DIR test_utils ${OST_BASE_HEADERS}
       DEPENDS_ON ost_geom
       HEADER_OUTPUT_DIR ost)

=== modules/conop/tests/CMakeLists.txt ===
set(OST_CONOP_UNIT_TESTS
  test_amino_acids.cc
  test_heuristic_conop.cc
  tests.cc
  test_rule_based_conop.cc 
  helper.cc
  test_processor.py
)

if (COMPOUND_LIB)
  list(APPEND OST_CONOP_UNIT_TESTS test_compound.py
                                   test_cleanup.py
                                   test_complib.py)
endif()

ost_unittest(MODULE conop
             SOURCES "${OST_CONOP_UNIT_TESTS}")

=== modules/gui/share/CMakeLists.txt ===

set(GUI_ICONS
  icons/add_icon.png
  icons/close_icon.png
  icons/critical_icon.png
  icons/delete_icon.png
  icons/distance_icon.png
  icons/find_icon.png
  icons/information_icon.png
  icons/map_icon.png
  icons/menubar_icon.png
  icons/rigid_body_manipulator_icon.png
  icons/selection_icon.png
  icons/show_sidebar_icon.png
  icons/site_icon.png
  icons/split_icon.png
  icons/warning_icon.png
  icons/refresh.png
)

set(GUI_IMAGES
  images/logo-small.png
)

add_custom_target(scene_icons ALL)
copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}" "${STAGE_DIR}/share/openstructure/gui/icons" 
                  "${GUI_ICONS}" "ICONS_FOR_GUI" scene_icons)
install(FILES ${GUI_ICONS} DESTINATION "share/openstructure/gui/icons")

add_custom_target(gui_images ALL)
copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}" "${STAGE_DIR}/share/openstructure/gui/images" 
                  "${GUI_IMAGES}" "IMAGES_FOR_GUI" gui_images)
install(FILES ${GUI_IMAGES} DESTINATION "share/openstructure/gui/images")

=== modules/info/src/CMakeLists.txt ===
set(OST_INFO_SOURCES 
info_impl.cc
info_handle.cc
info_group.cc
info_item.cc
info_path.cc
info_set.cc
info_visitor.cc
geom_info_conversion.cc
info_verbose_visitor.cc)

set(OST_INFO_HEADERS
info.hh
info_error.hh
info_impl.hh
info_impl_fw.hh
info_handle.hh
info_group.hh
info_item.hh
info_fw.hh
module_config.hh
info_path.hh
info_set.hh
info_visitor.hh
info_verbose_visitor.hh
item_type.hh
geom_info_conversion.hh
item_type_cast.hh)

set(QT_USE_QTXML 1)

module(NAME info SOURCES ${OST_INFO_SOURCES}
       HEADERS ${OST_INFO_HEADERS}
       DEPENDS_ON ost_base LINK ${BOOST_REGEX_LIBRARIES} ${QT_LIBRARIES})

=== modules/io/tests/CMakeLists.txt ===
set(OST_IO_UNIT_TESTS
  test_io_pdb.py
  test_io_mmcif.py
  test_io_omf.py
  test_io_sdf.py
  test_clustal.cc
  test_io_pdb.cc
  test_io_crd.cc
  test_io_dcd.cc
  test_io_sdf.cc
  test_io_sequence_profile.cc
  test_pir.cc
  test_iomanager.cc
  tests.cc
  test_star_parser.cc
  test_mmcif_reader.cc
  test_mmcif_info.cc
  test_io_img.cc
  test_exceptions.cc
)

ost_unittest(MODULE io
             SOURCES "${OST_IO_UNIT_TESTS}"
             LINK ost_mol ost_seq)

if(NOT ENABLE_STATIC)
  add_executable(test_mae_standalone test_mae_standalone.cc)
  target_link_libraries(test_mae_standalone ost_mol)
  target_link_libraries(test_mae_standalone ost_io)
  target_link_libraries(test_mae_standalone ${Boost_REGEX_LIBRARY})
endif()

=== modules/io/src/mol/CMakeLists.txt ===
set(OST_IO_MOL_SOURCES
entity_io_crd_handler.cc	
entity_io_pqr_handler.cc	
entity_io_mae_handler.cc	
pdb_reader.cc
entity_io_pdb_handler.cc	
pdb_writer.cc
entity_io_sdf_handler.cc	
entity_io_mmcif_handler.cc
sdf_reader.cc
sdf_writer.cc
save_entity.cc
load_entity.cc
surface_io_msms_handler.cc
load_surface.cc
chemdict_parser.cc
io_profile.cc
dcd_io.cc
star_parser.cc
mmcif_reader.cc
mmcif_info.cc
pdb_str.cc
sdf_str.cc
mmcif_str.cc
stereochemical_params_reader.cc
omf.cc
PARENT_SCOPE
)

set(OST_IO_MOL_HEADERS
chemdict_parser.hh
star_parser.hh
mmcif_reader.hh
mmcif_info.hh
io_profile.hh
dcd_io.hh
entity_io_crd_handler.hh
entity_io_pqr_handler.hh
entity_io_mae_handler.hh
entity_io_mmcif_handler.hh
entity_io_handler.hh
pdb_reader.hh
entity_io_pdb_handler.hh
pdb_writer.hh
entity_io_sdf_handler.hh
sdf_reader.hh
sdf_writer.hh
save_entity.hh
load_entity.hh
surface_io_handler.hh
load_surface.hh
surface_io_msms_handler.hh
pdb_str.hh
sdf_str.hh
mmcif_str.hh
stereochemical_params_reader.hh
omf.hh
PARENT_SCOPE
)

=== modules/mol/alg/pymod/CMakeLists.txt ===
set(OST_MOL_ALG_PYMOD_SOURCES
  wrap_mol_alg.cc
  export_svd_superpose.cc
  export_clash.cc
  export_trajectory_analysis.cc
  export_structure_analysis.cc
  export_contact_overlap.cc
  export_accessibility.cc
  export_sec_structure.cc
  export_non_standard.cc
  export_molck.cc
  export_membrane.cc
  export_entity_to_density.cc
)

set(OST_MOL_ALG_PYMOD_MODULES
  "__init__.py"
  views.py
  superpose.py
  qsscoring.py
  trajectory_analysis.py
  structure_analysis.py
  helix_kinks.py
  hbond.py
  lddt.py
  qsscore.py
  scoring.py
  chain_mapping.py
  stereochemistry.py
  ligand_scoring.py
  dockq.py
)

if (NOT ENABLE_STATIC)
  pymod(NAME mol_alg OUTPUT_DIR ost/mol/alg CPP ${OST_MOL_ALG_PYMOD_SOURCES}
        PY ${OST_MOL_ALG_PYMOD_MODULES})
endif()

copy_if_different("${CMAKE_CURRENT_SOURCE_DIR}" "${STAGE_DIR}/share/openstructure"
                  "stereo_data.json" "STEREO_DATA"
                  "ost_mol_alg_pymod")
install(FILES "stereo_data.json" DESTINATION "share/openstructure/")

=== modules/mol/alg/tests/CMakeLists.txt ===
set(OST_MOL_ALG_UNIT_TESTS
  test_superposition.cc
  tests.cc
  test_consistency_checks.cc
  test_partial_sec_struct_assignment.cc
  test_pdbize.py
  test_convenient_superpose.py
  test_hbond.py
  test_accessibility.py
  test_sec_struct.py
  test_lddt.py
  test_qsscore.py
  test_stereochemistry.py
)

if (COMPOUND_LIB)
  list(APPEND OST_MOL_ALG_UNIT_TESTS test_qsscoring.py
                                     test_nonstandard.py
                                     test_chain_mapping.py
                                     test_ligand_scoring.py)
endif()

ost_unittest(MODULE mol_alg SOURCES "${OST_MOL_ALG_UNIT_TESTS}" LINK ost_io)

=== modules/mol/base/tests/CMakeLists.txt ===
set(OST_MOL_BASE_UNIT_TESTS
  test_atom_groups.cc
  test_chain.cc
  test_conn.cc
  test_coord_group.cc
  test_builder.cc
  test_delete.cc
  test_entity.cc
  test_ics.cc
  test_query.cc
  test_surface.cc
  test_residue.cc
  test_view.cc
  test_transfer_connectivity.cc
  test_view_op.cc
  tests.cc
  test_invalid.py
)

if (USE_NUMPY)
  list(APPEND OST_MOL_BASE_UNIT_TESTS test_numpy.py)
endif (USE_NUMPY)

ost_unittest(MODULE mol SOURCES "${OST_MOL_BASE_UNIT_TESTS}")

# for valgrind debugging
# executable(NAME test_query_standalone SOURCES test_query_standalone.cc DEPENDS_ON mol)

=== debian/changelog ===
openstructure (2.5.0-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 23:24:40 +0100

openstructure (2.5.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:28:14 +0000

openstructure (2.5.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:13:30 +0000

openstructure (2.5.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:41:58 +0000

openstructure (2.5.0-1ubuntu1) noble; urgency=medium

  * Add a dummy test to test_sec_struct.py to avoid FTBFS due to
    Python 3.12 now returning 5 instead of 0 when all tests are skipped

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Jan 2024 10:36:33 +0000

openstructure (2.5.0-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 20 Jan 2024 08:57:25 +0000

openstructure (2.5.0-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:52 +0100

openstructure (2.5.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Mon, 24 Jul 2023 01:49:41 -0400

openstructure (2.5.0-1~exp) experimental; urgency=medium

  [ Andrius Merkys ]
  * New upstream version 2.5.0
  * Update debian/components.cif.gz.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libost-base2.3, libost-geom2.3:
    Add Multi-Arch: same.

 -- Andrius Merkys <merkys@debian.org>  Wed, 28 Jun 2023 03:46:25 -0400

=== debian/control ===
Source: openstructure
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 clustalw <!nocheck>,
 cmake,
 debhelper-compat (= 13),
 dh-python,
 dssp <!nocheck>,
 libboost-all-dev,
 libeigen3-dev,
 libfftw3-dev,
 libglu1-mesa-dev,
 libopenmm-dev [amd64 arm64 ppc64el],
 libopenmm-plugins [amd64 arm64 ppc64el],
 libpng-dev,
 libqt5opengl5-dev,
 libsqlite3-dev,
 libtiff-dev,
 python3-dev,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-pyqt5,
 python3-scipy <!nocheck>,
 qtbase5-dev,
 sip-dev,
 voronota <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://www.openstructure.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debichem-team/openstructure.git
Vcs-Browser: https://salsa.debian.org/debichem-team/openstructure

Package: libost-base2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libost-base2.2,
Multi-Arch: same
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-bindings2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-conop2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-db2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-geom2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gfx2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gui2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-alg2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-info2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-io2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol-alg2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol-mm2.5
Architecture: amd64 arm64 ppc64el
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq-alg2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq2.5
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: openstructure
Architecture: any
Depends:
 python3-ost,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 libcifpp-data,
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: python3-ost
Architecture: any
Section: python
Depends:
 python3-matplotlib,
 python3-numpy,
 python3-pil,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: Open-Source Computational Structural Biology Framework - Python 3 package
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-base-dev
Section: libdevel
Architecture: any
Depends:
 libost-base2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-bindings-dev
Section: libdevel
Architecture: any
Depends:
 libost-bindings2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-conop-dev
Section: libdevel
Architecture: any
Depends:
 libost-conop2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-db-dev
Section: libdevel
Architecture: any
Depends:
 libost-db2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-geom-dev
Section: libdevel
Architecture: any
Depends:
 libost-geom2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gfx-dev
Section: libdevel
Architecture: any
Depends:
 libost-gfx2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gui-dev
Section: libdevel
Architecture: any
Depends:
 libost-gui2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-alg-dev
Section: libdevel
Architecture: any
Depends:
 libost-img-alg2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-dev
Section: libdevel
Architecture: any
Depends:
 libost-img2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-info-dev
Section: libdevel
Architecture: any
Depends:
 libost-info2.5 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework

=== debian/rules ===
#!/usr/bin/make -f

OPEN_MM_PLUGIN_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/openmm/plugins
CONFIGURE_OPTIONS = -DOPTIMIZE=ON -DUBUNTU_LAYOUT=ON

ifeq ($(shell test -e $(OPEN_MM_PLUGIN_DIR) && echo YES),YES)
	CONFIGURE_OPTIONS += -DENABLE_MM=ON -DOPEN_MM_PLUGIN_DIR=$(OPEN_MM_PLUGIN_DIR)
endif

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

override_dh_auto_install:
	dh_auto_install
	find debian/tmp/usr/lib -name '*.pyc' | xargs --no-run-if-empty rm

override_dh_install:
	dh_install
	find debian/python3-ost/usr/lib/python3/dist-packages -type f \
		| xargs --no-run-if-empty chmod -x
	find debian/tmp/usr/lib -name 'libost_*.so.*' \
		| while read LIB; \
			do dh_install -p$$(echo $$LIB | cut -d / -f 5 | cut -d . -f 1 | sed 's/_/-/g')2.5 \
				$$LIB usr/lib/$(DEB_HOST_MULTIARCH); \
			done
	find debian/tmp/usr/lib -name 'libost_*.so' \
		| while read LIB; \
			do dh_install -p$$(echo $$LIB | cut -d / -f 5 | cut -d . -f 1 | sed 's/_/-/g')-dev \
				$$LIB usr/lib/$(DEB_HOST_MULTIARCH); \
			done

=== debian/tests/control ===
Tests: python
Depends:
 clustalw,
 dssp,
 ncbi-blast+,
 voronota,
 @,
Restrictions: allow-stderr

## openstructure 2.6.1

=== debian/changelog ===
openstructure (2.6.1-1~exp) experimental; urgency=medium

  * New upstream version 2.6.1
  * Update standards version to 4.6.2, no changes needed.
  * Refresh python-dist-packages.patch.

 -- Andrius Merkys <merkys@debian.org>  Fri, 26 Jan 2024 02:42:06 -0500

openstructure (2.6.0~rc-1~exp2) experimental; urgency=medium

  * Drop sip-dev from Build-Depends (Closes: #1060745)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 15 Jan 2024 04:48:55 -0500

openstructure (2.6.0~rc-1~exp1) experimental; urgency=medium

  * Enable OpenMM support on all architectures where it builds successfully.

 -- Andrius Merkys <merkys@debian.org>  Tue, 05 Dec 2023 03:07:02 -0500

openstructure (2.6.0~rc-1~exp) experimental; urgency=medium

  * New upstream version 2.6.0~rc
  * Adjust debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Wed, 20 Sep 2023 02:32:36 -0400

=== debian/control ===
Source: openstructure
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 clustalw <!nocheck>,
 cmake,
 debhelper-compat (= 13),
 dh-python,
 dssp <!nocheck>,
 libboost-all-dev,
 libeigen3-dev,
 libfftw3-dev,
 libglu1-mesa-dev,
 libopenmm-dev [amd64 arm64 armhf ppc64el riscv64 alpha ia64 loong64 m68k sh4],
 libopenmm-plugins [amd64 arm64 armhf ppc64el riscv64 alpha ia64 loong64 m68k sh4],
 libpng-dev,
 libqt5opengl5-dev,
 libsqlite3-dev,
 libtiff-dev,
 python3-dev,
 python3-matplotlib <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-pyqt5,
 python3-scipy <!nocheck>,
 qtbase5-dev,
 voronota <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://www.openstructure.org
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debichem-team/openstructure.git
Vcs-Browser: https://salsa.debian.org/debichem-team/openstructure

Package: libost-base2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libost-base2.2,
Multi-Arch: same
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-bindings2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-conop2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-db2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-geom2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gfx2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gui2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-alg2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-info2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-io2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol-alg2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol-mm2.6
Architecture: amd64 arm64 ppc64el
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-mol2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq-alg2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-seq2.6
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: openstructure
Architecture: any
Depends:
 python3-ost,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 libcifpp-data,
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: python3-ost
Architecture: any
Section: python
Depends:
 python3-matplotlib,
 python3-numpy,
 python3-pil,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
X-Python3-Version: ${python3:Versions}
Description: Open-Source Computational Structural Biology Framework - Python 3 package
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-base-dev
Section: libdevel
Architecture: any
Depends:
 libost-base2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-bindings-dev
Section: libdevel
Architecture: any
Depends:
 libost-bindings2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-conop-dev
Section: libdevel
Architecture: any
Depends:
 libost-conop2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-db-dev
Section: libdevel
Architecture: any
Depends:
 libost-db2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-geom-dev
Section: libdevel
Architecture: any
Depends:
 libost-geom2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gfx-dev
Section: libdevel
Architecture: any
Depends:
 libost-gfx2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-gui-dev
Section: libdevel
Architecture: any
Depends:
 libost-gui2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-alg-dev
Section: libdevel
Architecture: any
Depends:
 libost-img-alg2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-img-dev
Section: libdevel
Architecture: any
Depends:
 libost-img2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework
 OpenStructure aims to provide an open-source, modular, flexible, molecular
 modelling and visualization environment. It is targeted at interested method
 developers in the field of structural bioinformatics.

Package: libost-info-dev
Section: libdevel
Architecture: any
Depends:
 libost-info2.6 (= ${binary:Version}),
 ${misc:Depends},
Description: Open-Source Computational Structural Biology Framework

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 		| xargs --no-run-if-empty chmod -x
 	find debian/tmp/usr/lib -name 'libost_*.so.*' \
 		| while read LIB; \
-			do dh_install -p$$(echo $$LIB | cut -d / -f 5 | cut -d . -f 1 | sed 's/_/-/g')2.5 \
+			do dh_install -p$$(echo $$LIB | cut -d / -f 5 | cut -d . -f 1 | sed 's/_/-/g')2.6 \
 				$$LIB usr/lib/$(DEB_HOST_MULTIARCH); \
 			done
 	find debian/tmp/usr/lib -name 'libost_*.so' \
